HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::PropList Class Reference

`#include <H5PropList.h>`

Inheritance diagram for H5::PropList:

List of all members.

## Public Member Functions
| PropList (const hid_t plist_id)
| Creates a property list using the id of an existing property.
PropList & | operator= (const PropList &rhs)
| Assignment operator.
bool | operator== (const PropList &rhs) const
| Compares this property list or class against the given list or class.
virtual void | close ()
| Closes the property list if it is not a default one.
void | closeClass () const
| Close a property list class.
void | copy (const PropList &like_plist)
| Makes a copy of an existing property list.
void | copyProp (PropList &dest, const char *name) const
| Copies a property from this property list or class to another.
void | copyProp (PropList &dest, const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | copyProp (PropList &dest, PropList &src, const char *name) const
| Copies a property from one list or class to another - Obsolete.
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts. - Obsolete.
hid_t | getClass () const
| Returns the class of this property list, i.e. `H5P_FILE_CREATE`...
H5std_string | getClassName () const
| Return the name of a generic property list class.
PropList | getClassParent () const
| Returns the parent class of a generic property class.
size_t | getNumProps () const
| Returns the number of properties in this property list or class.
void | getProperty (const char *name, void *value) const
| Query the value of a property in a property list.
void | getProperty (const H5std_string &name, void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
H5std_string | getProperty (const char *name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
H5std_string | getProperty (const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, void *value) const
| Set a property's value in a property list.
void | setProperty (const char *name, const char *charptr) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, H5std_string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const H5std_string &name, void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const H5std_string &name, H5std_string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
size_t | getPropSize (const char *name) const
| Query the size of a property in a property list or class.
size_t | getPropSize (const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
bool | isAClass (const PropList &prop_class) const
| Determines whether a property list is a certain class.
bool | propExist (const char *name) const
| Query the existance of a property in a property object.
bool | propExist (const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | removeProp (const char *name) const
| Removes a property from a property list.
void | removeProp (const H5std_string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
virtual H5std_string | fromClass () const
| PropList ()
| Default constructor: creates a stub property list object.
| PropList (const PropList &original)
| Copy constructor.
virtual hid_t | getId () const
virtual | ~PropList ()
| Properly terminates access to this property list.
## Static Public Attributes
static const PropList | DEFAULT
| Constant for default property.
## Protected Member Functions
virtual void | p_setId (const hid_t new_id)
| Sets the identifier of this property list to a new value.
## Protected Attributes
hid_t | id

## Constructor & Destructor Documentation

H5::PropList::PropList | ( | const hid_t | plist_id | ) |

Creates a property list using the id of an existing property.

Parameters:

  | plist_id | - IN: Id of the existing property list

Exceptions:

  | H5::PropListIException |

H5::PropList::PropList | ( |  | ) |

Default constructor: creates a stub property list object.

H5::PropList::PropList | ( | const PropList & | original | ) |

Copy constructor.

Parameters:

  | original | - IN: The original property list to copy

H5::PropList::~PropList | ( |  | ) | `[virtual]`

Properly terminates access to this property list.

## Member Function Documentation

PropList & H5::PropList::operator= | ( | const PropList & | rhs | ) |

Assignment operator.

Parameters:

  | rhs | - IN: Reference to the existing property list

Returns:
  Reference to PropList instance

Exceptions:

  | H5::PropListIException |

bool H5::PropList::operator== | ( | const PropList & | rhs | ) | const

Compares this property list or class against the given list or class.

Parameters:

  | rhs | - IN: Reference to the property list to compare

Returns:
  true if the property lists or classes are equal, and false, otherwise.

Exceptions:

  | H5::PropListIException |

void H5::PropList::close | ( |  | ) | `[virtual]`

Closes the property list if it is not a default one.

Exceptions:

  | H5::PropListIException |

void H5::PropList::closeClass | ( |  | ) | const

Close a property list class.

Exceptions:

  | H5::PropListIException |

Description
  Releases memory and detaches a class from the property list class hierarchy.

void H5::PropList::copy | ( | const PropList & | like_plist | ) |

Makes a copy of an existing property list.

Parameters:

  | like_plist | - IN: Reference to the existing property list

Exceptions:

  | H5::PropListIException |

void H5::PropList::copyProp | ( | PropList & | dest,
|  | const char * | name |
| ) |  |  | const

Copies a property from this property list or class to another.

Parameters:

  | dest | - IN: Destination property list or class
  | name | - IN: Name of the property to copy - `char` pointer

Exceptions:

  | H5::PropListIException |

void H5::PropList::copyProp | ( | PropList & | dest,
|  | const H5std_string & | name |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | dest | - IN: Destination property list or class
  | name | - IN: Name of the property to copy - `H5std_string`

void H5::PropList::copyProp | ( | PropList & | dest,
|  | PropList & | src,
|  | const char * | name |
| ) |  |  | const

Copies a property from one list or class to another - Obsolete.

Parameters:

  | dest | - IN: Destination property list or class
  | src | - IN: Source property list or class
  | name | - IN: Name of the property to copy - `char` pointer

Note:
  This member function will be removed in the next release

Exceptions:

  | H5::PropListIException |

void H5::PropList::copyProp | ( | PropList & | dest,
|  | PropList & | src,
|  | const H5std_string & | name |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts. - Obsolete.

Parameters:

  | dest | - IN: Destination property list or class
  | src | - IN: Source property list or class
  | name | - IN: Name of the property to copy - `H5std_string`

hid_t H5::PropList::getClass | ( |  | ) | const

Returns the class of this property list, i.e. `H5P_FILE_CREATE`...

Returns:
  The property list class if it is not equal to `H5P_NO_CLASS`

Exceptions:

  | H5::PropListIException |

H5std_string H5::PropList::getClassName | ( |  | ) | const

Return the name of a generic property list class.

Returns:
  A string containing the class name, if success, otherwise, a NULL string.

PropList H5::PropList::getClassParent | ( |  | ) | const

Returns the parent class of a generic property class.

Returns:
  The parent class of a property class

Exceptions:

  | H5::PropListIException |

size_t H5::PropList::getNumProps | ( |  | ) | const

Returns the number of properties in this property list or class.

Returns:
  Size of the property.

Exceptions:

  | H5::PropListIException |

void H5::PropList::getProperty | ( | const char * | name,
|  | void * | value |
| ) |  |  | const

Query the value of a property in a property list.

Parameters:

  | name | - IN: Name of property to query - `char` pointer
  | value | - OUT: Pointer to the buffer for the property value

Exceptions:

  | H5::PropListIException |

Description
  Retrieves a copy of the value for a property in a property list. The property name must exist or this routine will throw an exception.

void H5::PropList::getProperty | ( | const H5std_string & | name,
|  | void * | value |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to query - `H5std_string`
  | value | - OUT: Pointer to the buffer for the property value

H5std_string H5::PropList::getProperty | ( | const char * | name | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to query - `char` pointer

Returns:
  The property that is a `H5std_string`.

Exceptions:

  | H5::PropListIException |

H5std_string H5::PropList::getProperty | ( | const H5std_string & | name | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to query - `H5std_string`

Returns:
  The property that is a `H5std_string`.

void H5::PropList::setProperty | ( | const char * | name,
|  | void * | value |
| ) |  |  | const

Set a property's value in a property list.

Parameters:

  | name | - IN: Name of property to set - `char` pointer
  | value | - IN: Void pointer to the value for the property

Exceptions:

  | H5::PropListIException |

void H5::PropList::setProperty | ( | const char * | name,
|  | const char * | charptr |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to set - `char` pointer
  | charptr | - IN: Char pointer to the value for the property

void H5::PropList::setProperty | ( | const char * | name,
|  | H5std_string & | strg |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to set - `char` pointer
  | strg | - IN: Value for the property is a `H5std_string`

void H5::PropList::setProperty | ( | const H5std_string & | name,
|  | void * | value |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to set - `H5std_string`
  | value | - IN: Void pointer to the value for the property

void H5::PropList::setProperty | ( | const H5std_string & | name,
|  | H5std_string & | strg |
| ) |  |  | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to set - `H5std_string`
  | strg | - IN: Value for the property is a `H5std_string`

size_t H5::PropList::getPropSize | ( | const char * | name | ) | const

Query the size of a property in a property list or class.

Parameters:

  | name | - IN: Name of property to query

Returns:
  Size of the property

Exceptions:

  | H5::PropListIException |

Description
  This routine retrieves the size of a property's value in bytes. Zero-sized properties are allowed and the return value will be of 0. This function works for both property lists and classes.

size_t H5::PropList::getPropSize | ( | const H5std_string & | name | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to query - `H5std_string`

bool H5::PropList::isAClass | ( | const PropList & | prop_class | ) | const

Determines whether a property list is a certain class.

Parameters:

  | prop_class | - IN: Property class to query

Returns:
  true if the property list is a member of the property list class, and false, otherwise.

Exceptions:

  | H5::PropListIException |

bool H5::PropList::propExist | ( | const char * | name | ) | const

Query the existance of a property in a property object.

Parameters:

  | name | - IN: Name of property to check for - `char` pointer

Returns:
  true if the property exists in the property object, and false, otherwise.

Exceptions:

  | H5::PropListIException |

Description
  This routine checks if a property exists within a property list or class.

bool H5::PropList::propExist | ( | const H5std_string & | name | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to check for - `H5std_string`

void H5::PropList::removeProp | ( | const char * | name | ) | const

Removes a property from a property list.

Parameters:

  | name | - IN: Name of property to remove - `char` pointer

Exceptions:

  | H5::PropListIException |

void H5::PropList::removeProp | ( | const H5std_string & | name | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.

Parameters:

  | name | - IN: Name of property to remove - `H5std_string`

virtual H5std_string H5::PropList::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented in H5::DSetCreatPropList, H5::DSetMemXferPropList, H5::FileAccPropList, and H5::FileCreatPropList.

hid_t H5::PropList::getId | ( |  | ) | const`[virtual]`

Implements H5::IdComponent.

void H5::PropList::p_setId | ( | const hid_t | new_id | ) | `[protected, virtual]`

Sets the identifier of this property list to a new value.

Exceptions:

  | H5::IdComponentException | when the attempt to close the currently open property list fails

## Member Data Documentation

const PropList H5::PropList::DEFAULT`[static]`

Constant for default property.

Reimplemented in H5::DSetCreatPropList, H5::DSetMemXferPropList, H5::FileAccPropList, and H5::FileCreatPropList.

hid_t H5::PropList::id`[protected]`